/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Crov
 */
public enum MetodoPago {

    TARJETA_DEBITO("Tarjeta de débito") {
        @Override
        public String toString() {
            return "Tarjeta de débito";
        }
    }, TARJETA_CREDITO("Tarjeta de crédito") {
        @Override
        public String toString() {
            return "Tarjeta de crédito";
        }
    }, DEPOSITO_TRANSFERENCIA("Depósito / transferencia") {
        @Override
        public String toString() {
            return "Depósito / transferencia";
        }
    }, EFECTIVO("Efectivo") {
        @Override
        public String toString() {
            return "Efectivo";
        }
    }, TRES_MESES_SIN_INTERESES("3 meses sin intereses") {
        @Override
        public String toString() {
            return "3 meses sin intereses";
        }
    }, SEIS_MESES_SIN_INTERESES("6 meses sin intereses") {
        @Override
        public String toString() {
            return "6 meses sin intereses ";
        }
    }, NUEVE_MESES_SIN_INTERESES("9 meses sin intereses") {
        @Override
        public String toString() {
            return "9 meses sin intereses ";
        }
    }, DOCE_MESES_SIN_INTERESES("12 meses sin intereses") {
        @Override
        public String toString() {
            return "12 meses sin intereses";
        }
    }, CLIP("Clip") {
        @Override
        public String toString() {
            return "Clip";
        }
    }, OTRO("Otro") {
        @Override
        public String toString() {
            return "Otro";
        }
    };

    private final String type;

    private MetodoPago(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
